com.lowagie.text.pdf

## Class PdfPages

- java.lang.Object
- - com.lowagie.text.pdf.PdfPages

-     public class PdfPages
      extends java.lang.Object

  `PdfPages` is the PDF Pages-object.

  The Pages of a document are accessible through a tree of nodes known as the Pages tree. This tree defines the ordering of the pages in the document.
  This object is described in the 'Portable Document Format Reference Manual version 1.3' section 6.3 (page 71-73)

  See Also:
    `PdfPage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `leafSize`
    `private java.util.ArrayList` | `pages`
    `private java.util.ArrayList` | `parents`
    `private PdfIndirectReference` | `topParent`
    `private PdfWriter` | `writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfPages(PdfWriter writer)` Constructs a `PdfPages`-object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addPage(PdfDictionary page)`
    `(package private) void` | `addPage(PdfIndirectReference page)`
    `(package private) PdfIndirectReference` | `addPageRef(PdfIndirectReference pageRef)`
    `(package private) PdfIndirectReference` | `getTopParent()`
    `(package private) int` | `reorderPages(int[] order)`
    `(package private) void` | `setLinearMode(PdfIndirectReference topParent)`
    `(package private) PdfIndirectReference` | `writePageTree()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pages

          private java.util.ArrayList pages

    - #### parents

          private java.util.ArrayList parents

    - #### leafSize

          private int leafSize

    - #### writer

          private PdfWriter writer

    - #### topParent

          private PdfIndirectReference topParent

  - ### Constructor Detail

    - #### PdfPages

          PdfPages(PdfWriter writer)

      Constructs a `PdfPages`-object.

  - ### Method Detail

    - #### addPage

          void addPage(PdfDictionary page)

    - #### addPageRef

          PdfIndirectReference addPageRef(PdfIndirectReference pageRef)

    - #### writePageTree

          PdfIndirectReference writePageTree()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getTopParent

          PdfIndirectReference getTopParent()

    - #### setLinearMode

          void setLinearMode(PdfIndirectReference topParent)

    - #### addPage

          void addPage(PdfIndirectReference page)

    - #### reorderPages

          int reorderPages(int[] order)
                     throws DocumentException

      Throws:
        `DocumentException`